Teradata DSA and DSC | Teradata Data Mover - 17.05 - Teradata Data Stream (DSA/DSC) - Teradata Data Mover

Teradata® Data Mover Compatibility Matrix

prodname
Teradata Data Mover
vrm_release
16.00
16.10
16.20
17.00
17.05
created_date
October 2020
category
Configuration
Installation
featnum
B035-6502-040K

Data Stream Architecture (DSA) Bundled with Data Mover

Data Mover Embedded DSC
17.05.00.00 17.05.00.01
17.00.00.00 17.00.01.02
16.20.50.02 17.00.01.02
16.20.50.01 16.20.54.00
16.20.25.01 16.20.50.01
16.20.25.00 16.20.50.00
16.20.23.03 16.20.25.00
16.20.23.02 16.20.25.00
16.20.23.01 16.20.24.01
16.20.23.00 16.20.23.00
16.20.18.00 16.20.12.03
16.20.16.00 16.20.12.02
16.20.12.00 16.20.12.00
16.20.09.00 16.20.00.05
16.20.07.00 16.20.00.04
16.20.00.02 16.20.00.03
16.20.00.01 16.20.00.02
16.20.00.00 16.20.00.01

External Data Stream Controller (DSC)

DSC Data Mover
17.05.00.00 17.00.00.00 16.20.50.00+ 16.20.25.01+ 16.20.25.00
17.05.00.01+ Yes No No No No
17.02.00.00+ Yes No No No No
17.00.01.00+ No Yes Yes No No
17.00.00.00 No Yes Yes No No
16.20.54.00 No No Yes No No
16.20.53.01 No No Yes No No
16.20.53.00 No No Yes No No
16.20.52.00 No No Yes No No
16.20.51.01 No No No No No
16.20.51.00 No No No No No
16.20.50.01 No No No Yes No
16.20.50.00 No No No Yes Yes
16.20.25.00 No No No Yes Yes
16.20.24.01 No No No Yes Yes
16.20.24.00 No No No Yes Yes
16.20.23.00 No No No No Yes
  • When DSC is embedded on a Data Mover server, they share the same repository. Therefore, when using a Data Mover version using Postgres as the repository, only the DSC versions that use Postgres are compatible. The Postgres repository is available in the following versions:
    • DSC 17.02 and later
    • Data Mover 17.05 and later
  • Data Mover versions earlier than 16.20.25.00 are only certified to use the version of DSC that came bundled with the versionData Mover.
  • Data Mover version 16.20.25.00 and later is certified with the bundled DSC version as well as three DSC versions back and one version forward, unless otherwise specified.
  • In-place upgrade of the embedded DSC is supported for one version forward, unless otherwise specified.
  • DSC and ClientHandler must have the same major and minor version. DSC supports the current version of ClientHandler plus three maintenance or e-fix versions backwards. For more information about this compatibility requirement, refer to the DSA documentation.